: gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Methods for drawing widget parts. GLib.Object GLib.IWrapper System.IDisposable
- Method
  Gdk.Color `` Gets the foreground color for a particular state A , the state being considered A
- Method
  Gdk.Color `` Sets the background of to the background color or pixmap specified by style for the state. A , the state being considered A color to be used for the background.
- Method
  Gdk.GC `` Gets the graphics context for the background of . a a , the graphics context
- Method
  Gdk.GC `` Gets the graphics context for the foreground of . a a , the graphics context
- Method
  System.Void `` `` `` `` `` `` `` `` Sets the default background. A A (TODO: explain) A A A , X coordinate of the upper left corner A , Y coordinate of the upper left corner A , width of the area A , height of the area TODO: explain this, as the underlying GTK+ isn't very well-commented either
- Method
  System.Void `` `` Set the background of to the color or pixmap specified by this style for . A A
- Method
  System.Void Detaches this style from the window it's attached to.
- Method
  Gdk.Pixbuf `` `` `` `` `` `` Renders the icon specified by at the given according to the given parameters and returns the result in a pixbuf. A A A A A A A TODO: needs an example.
- Method
  Gtk.Style Copy this style object to a new style object. A , a duplicate of this style.
- Method
  Gtk.IconSet `` Gets the icon set for the given . A A
- Method
  Gtk.Style `` Attaches a style to a window; this process allocates the colors and creates the GCs (graphics components) for the style - it specializes it to a particular visual and colormap. The process may involve the creation of a new style if the style has already been attached to a window with a different style and colormap. , the window to attach the style to Either , or a newly-created . If the style is newly created, the style parameter will be dereferenced, and the new style will have a reference count belonging to the caller.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Style, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Public constructor
  A new
- Property
  Pango.FontDescription The font description used for a widget. a
- Property
  System.Int32 The Y thickness, which is used for vertical padding. A A
- Property
  System.Int32 The X thickness, which is used for horizontal padding. An integer to set the xthickness to. An integer. (FIXME: xthickness and ythickness could be better documented.)
- Property
  Gdk.Color [] The foreground colors A
- Property
  Gdk.Color [] The background colors. A
- Property
  Gdk.Color Black. A
- Property
  Gdk.Color White. A
- Property
  Gdk.GC [] Gets the graphics context objects for the background. A
- Property
  Gdk.GC [] Gets the graphics context objects for the foreground. A
- Property
  Gdk.GC Gets a white graphics context. A
- Property
  Gdk.GC Gets a black graphics context. A
- Method
  System.Void `` `` Sets the graphics context for the foreground. a , the state of the widget to set the style for a
- Method
  System.Void `` `` Sets the graphics context for the background. a , the state of the widget to set the style for a
- Method
  Gdk.GC `` Returns the base graphics context for the widget. a , the state of the widget to get the GC for a
- Method
  System.Void `` `` Sets the graphics context for the background. a , the state of the widget to set the GC for a
- Method
  Gdk.GC `` Returns the graphics context for the widget's text. a , the state of the widget to get the GC for a
- Method
  System.Void `` `` Sets the graphics context for text. a , the state of the widget to set the GC for a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a box on the screen with the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a check button indicator in the given rectangle on with the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a resize grip in the given rectangle on @window using the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` Draws a layout on the screen using the given parameters. a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a radio button indicator in the given rectangle on @window with the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` Draws a slider widget with the given parameters. a a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a diamond in the given rectangle on using the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a shadow around the given rectangle in using the given style and state and shadow type. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` Draws a vertical line from (, ) to (, ) in using the given style and state. a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws an option menu tab (i.e. the up and down pointing arrows) in the given rectangle on @window using the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` Draws a focus indicator around the given rectangle on using the given style. a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` `` Draws a shadow gap around the given widget using the given parameters. a a a a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` Draws an extension for the given widget in the given style. a a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` Draws a flat box on with the given parameters. a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` Draw a handle graphic for the given widget using the given parameters. a a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` Draw an arrow at (, ) using the given parameters. a a a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` Draws a horizontal line from (, ) to (, ) in using the given style and state. a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` `` Draws a gap around a box using the given parameters. a a a a a a a a a a a a a a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  Gdk.Color[] The colors to use for text. a
- Property
  Gdk.Color[] The base color set. a
- Method
  Gdk.Color `` Returns the color for text in the given state. a a
- Method
  Gdk.Color `` Returns the base color for the given state. a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` Paints an expander using the style specified. a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` Paint a polygon. a a a a a a a a a
- Method
  Gdk.GC `` Returns the graphics context for anti-aliased text. a , the state of the widget to get the GC for a
- Method
  System.Void `` `` Set the graphics context for anti-aliased text. a , the state of the widget to set the GC for a
- Method
  Gdk.GC `` Returns a graphics context for light-colored drawing a , the state of the widget to get the GC for a
- Method
  System.Void `` `` Set the graphics context for light-colored drawing a , the state of the widget to set the GC for a
- Method
  Gdk.GC `` Returns a graphics context for dark-colored drawing a , the state of the widget to get the GC for a
- Method
  System.Void `` `` Set the graphics context for dark-colored drawing a , the state of the widget to set the GC for a
- Method
  Gdk.GC `` Returns a graphics context for medium-colored drawing a , the state of the widget to get the GC for a
- Method
  System.Void `` `` Set the graphics context for medium-colored drawing a , the state of the widget to set the GC for a
- Property
  Gdk.Font To be added a To be added
- Event
  System.EventHandler To be added To be added
- Event
  System.EventHandler To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  Gtk.Style To be added a To be added
- Method
  System.Void To be added To be added